/* amtega-common-configuration: Amtega Common Configuration
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-configuration”.
*
* "amtega-common-configuration" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-configuration" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.configuration.exception;

/**
 * Excepción para recursos no encontrados
 */
public class PropertiesSourceNotAvailableException extends RuntimeException {

    private static final long serialVersionUID = 1294385413806966455L;

    /**
     * Constructor
     * @param msg Mensaje
     * @param cause Causa
     */
    public PropertiesSourceNotAvailableException(String msg, Throwable cause) {
        super(msg, cause);
    }

    /**
     * Constructor
     * @param msg Mensaje
     */
    public PropertiesSourceNotAvailableException(String msg) {
        super(msg);
    }

}
