/* amtega-common-logging-sql: Amtega Common Logging SQL
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-logging-sql".
*
* "amtega-common-logging-sql" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-logging-sql" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.jdbc.logger.exception;

/**
 * Error de mapeo de parámetros de consulta
 */
public class InvalidNumberOfParamsException extends Exception {

    private static final long serialVersionUID = -3880607643588654881L;

    /**
     * Constructor
     * @param msg Mensaje
     * @param cause Causa
     */
    public InvalidNumberOfParamsException(String msg, Throwable cause) {
        super(msg, cause);
    }

    /**
     * Constructor
     * @param msg Mensaje
     */
    public InvalidNumberOfParamsException(String msg) {
        super(msg);
    }
    
}
