/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.codapp.test;

import org.junit.Test;

public class PlantillaIT {

    /*
     * Plantilla de base para implementar tests de integración. O nome da clase
     * debe corresponderse co nombre da funcionalidade a probar co el sufixo
     * "IT" (de IntegrationTest). Exemplo: XestionUsuariosIT
     * 
     * Os tests de integración deséñanse e desenvólvense para validar a
     * integración dos diferentes compoñentes da aplicación emulando o seu
     * comportamento ao estar despregada nun servidor de aplicacións. Estes
     * tests de integración son moi custosos debido a que é necesario crear o
     * contexto da aplicación de Spring e crear recursos como base de datos en
     * memoria, xestión de transaccionalidade, etc. que consumen tempo de
     * execución dos test. Debe limitarse o desenvolvementod estes tests a
     * validar os requisitos definidas a nivel funcional e facer un maior
     * desenvolvemento de tests unitarios para validar o correcto funcionamiento
     * dos compoñentes individuáis da aplicación.
     * 
     * Os nomes dos métodos de test deben reflectir a condición que se vai a
     * probar nese método: [funcionalidade]Should[ResultadoEsperado] p.ej.:
     * - crearUsuarioSenNomeShouldThrowException,
     * - crearUsuarioValidoShouldBeSaved
     * 
     */

    @Test
    public void funcionalidadeShouldResultadoEsperado() {
        // given: precondicións
        // Object expected = [...];
        // when: acción
        // Object result = [...];
        // then: resultado
        // Assert.assertThat(result, CoreMatcher.is(expected));
    }
}
