#!/bin/bash 

SCRIPT=$(readlink -f "$0")
BASEPATH=$(dirname "$SCRIPT")
echo $BASEPATH

mvn clean package -f $BASEPATH/generate-archetype.xml
[ $? -ne 0 ] && exit

mvn install archetype:update-local-catalog archetype:crawl -f $BASEPATH/target/generated-sources/archetype/pom.xml
[ $? -ne 0 ] && exit
