/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

/**
 * Neste paquete se localizan todos os recursos para as funcionalidades da
 * "biblioteca de documentos". Os únicos elementos visibles polo resto da
 * aplicación son a entidade de BD, os criterios de filtrado e a interface
 * do servizo. Impídese o acceso directo ás implementacións concretas
 * limitando a visibilidade das clases a modo 'paquete'.
 * 
 * Coa distribución de paquetes por funcionalidade e visibilidade por paquete
 * favorecemos o aillamento das clases e evitamos usos non deseados, como o
 * acceso directo á capa de persistencia sen facer uso da capa de servicio.
 * Tamén se facilita a refactorización ao reducir as dependencias con outros
 * paquetes da aplicación.
 * 
 * O paquete web contén os recursos relacionados coa capa web, facilitando
 * unha posible refactorización da aplicación para aillar esta capa nun
 * proxecto WAR independente.
 */
package es.xunta.amtega.codapp.documentos;